<?xml version="1.0" encoding="UTF-8"?>
<!--
| Copyright (c) 2009-2010 Pixware SARL. All rights reserved.
|
| Author: Hussein Shafie
|
| This file is part of the XMLmind DITA Converter project.
| For conditions of distribution and use, see the accompanying LEGAL.txt file.
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xs="http://www.w3.org/2001/XMLSchema"
                xmlns:fo="http://www.w3.org/1999/XSL/Format"
                xmlns:rx="http://www.renderx.com/XSL/Extensions"
                xmlns:u="http://www.xmlmind.com/namespace/ditac"
                xmlns:ditac="http://www.xmlmind.com/ditac/schema/ditac"
                exclude-result-prefixes="xs u ditac"
                version="2.0">

  <!-- Mode fop-pdf-outline ============================================== -->
  <!-- Standard XSL 1.1 facility -->

  <xsl:template match="ditac:toc" mode="fop-pdf-outline">
    <fo:bookmark-tree>
      <xsl:apply-templates mode="fop-pdf-outline"/>
    </fo:bookmark-tree>
  </xsl:template>

  <xsl:template match="ditac:tocEntry" mode="fop-pdf-outline">
    <!-- starting-state=show | hide. Default: show -->
    <fo:bookmark internal-destination="{@id}" starting-state="hide">
      <fo:bookmark-title>
        <xsl:variable name="num"
                      select="u:shortTitlePrefix(string(@number), .)"/>
        <xsl:if test="$num != ''">
          <xsl:value-of select="concat($num, $title-prefix-separator1)"/>
        </xsl:if>
        <xsl:value-of select="@title"/>
      </fo:bookmark-title>

      <xsl:apply-templates mode="fop-pdf-outline"/>
    </fo:bookmark>
  </xsl:template>

  <!-- Mode xep-pdf-outline ============================================== -->

  <xsl:template match="ditac:toc" mode="xep-pdf-outline">
    <rx:outline>
      <xsl:apply-templates mode="xep-pdf-outline"/>
    </rx:outline>
  </xsl:template>

  <xsl:template match="ditac:tocEntry" mode="xep-pdf-outline">
    <!-- collapse-subtree=false | true -->
    <rx:bookmark internal-destination="{@id}" collapse-subtree="true">
      <rx:bookmark-label>
        <xsl:variable name="num"
                      select="u:shortTitlePrefix(string(@number), .)"/>
        <xsl:if test="$num != ''">
          <xsl:value-of select="concat($num, $title-prefix-separator1)"/>
        </xsl:if>
        <xsl:value-of select="@title"/>
      </rx:bookmark-label>

      <xsl:apply-templates mode="xep-pdf-outline"/>
    </rx:bookmark>
  </xsl:template>
</xsl:stylesheet>
