<?xml version="1.0" encoding="UTF-8"?>
<sch:schema queryBinding="XSLT"
  xmlns:sch="http://purl.oclc.org/dsdl/schematron"
  xmlns:xslt="http://www.w3.org/1999/XSL/Transform">

  <sch:phase id="empty" />

  <sch:pattern>
    <sch:rule context="seglistitem">
      <sch:assert test="count(seg) = count(../segtitle)">
        The number of seg elements must be the same as the number 
        of segtitle elements in the parent segmentedlist
      </sch:assert>
    </sch:rule>
  </sch:pattern>

  <sch:pattern abstract="true" id="element_exclusion">
    <sch:rule context="$container">
      <sch:assert test="not(.//$excluded)">
        $excluded must not occur in the descendants of $container
      </sch:assert>
    </sch:rule>
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="annotation" />
    <sch:param name="excluded" value="annotation" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="caption" />
    <sch:param name="excluded" value="caution" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="caption" />
    <sch:param name="excluded" value="example" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="caption" />
    <sch:param name="excluded" value="figure" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="caption" />
    <sch:param name="excluded" value="important" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="caption" />
    <sch:param name="excluded" value="note" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="caption" />
    <sch:param name="excluded" value="sidebar" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="caption" />
    <sch:param name="excluded" value="table" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="caption" />
    <sch:param name="excluded" value="task" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="caption" />
    <sch:param name="excluded" value="tip" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="caption" />
    <sch:param name="excluded" value="warning" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="caution" />
    <sch:param name="excluded" value="caution" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="caution" />
    <sch:param name="excluded" value="important" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="caution" />
    <sch:param name="excluded" value="note" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="caution" />
    <sch:param name="excluded" value="tip" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="caution" />
    <sch:param name="excluded" value="warning" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="example" />
    <sch:param name="excluded" value="caution" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="example" />
    <sch:param name="excluded" value="example" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="example" />
    <sch:param name="excluded" value="figure" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="example" />
    <sch:param name="excluded" value="important" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="example" />
    <sch:param name="excluded" value="note" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="example" />
    <sch:param name="excluded" value="table" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="example" />
    <sch:param name="excluded" value="tip" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="example" />
    <sch:param name="excluded" value="warning" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="figure" />
    <sch:param name="excluded" value="caution" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="figure" />
    <sch:param name="excluded" value="example" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="figure" />
    <sch:param name="excluded" value="figure" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="figure" />
    <sch:param name="excluded" value="important" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="figure" />
    <sch:param name="excluded" value="note" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="figure" />
    <sch:param name="excluded" value="table" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="figure" />
    <sch:param name="excluded" value="tip" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="figure" />
    <sch:param name="excluded" value="warning" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="footnote" />
    <sch:param name="excluded" value="caution" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="footnote" />
    <sch:param name="excluded" value="epigraph" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="footnote" />
    <sch:param name="excluded" value="example" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="footnote" />
    <sch:param name="excluded" value="figure" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="footnote" />
    <sch:param name="excluded" value="footnote" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="footnote" />
    <sch:param name="excluded" value="important" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="footnote" />
    <sch:param name="excluded" value="indexterm" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="footnote" />
    <sch:param name="excluded" value="note" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="footnote" />
    <sch:param name="excluded" value="sidebar" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="footnote" />
    <sch:param name="excluded" value="table" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="footnote" />
    <sch:param name="excluded" value="task" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="footnote" />
    <sch:param name="excluded" value="tip" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="footnote" />
    <sch:param name="excluded" value="warning" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="important" />
    <sch:param name="excluded" value="caution" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="important" />
    <sch:param name="excluded" value="important" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="important" />
    <sch:param name="excluded" value="note" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="important" />
    <sch:param name="excluded" value="tip" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="important" />
    <sch:param name="excluded" value="warning" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="note" />
    <sch:param name="excluded" value="caution" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="note" />
    <sch:param name="excluded" value="important" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="note" />
    <sch:param name="excluded" value="note" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="note" />
    <sch:param name="excluded" value="tip" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="note" />
    <sch:param name="excluded" value="warning" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="sidebar" />
    <sch:param name="excluded" value="sidebar" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="table" />
    <sch:param name="excluded" value="caution" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="table" />
    <sch:param name="excluded" value="example" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="table" />
    <sch:param name="excluded" value="figure" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="table" />
    <sch:param name="excluded" value="important" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="table" />
    <sch:param name="excluded" value="informaltable" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="table" />
    <sch:param name="excluded" value="note" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="table" />
    <sch:param name="excluded" value="table" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="table" />
    <sch:param name="excluded" value="tip" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="table" />
    <sch:param name="excluded" value="warning" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="tip" />
    <sch:param name="excluded" value="caution" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="tip" />
    <sch:param name="excluded" value="important" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="tip" />
    <sch:param name="excluded" value="note" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="tip" />
    <sch:param name="excluded" value="tip" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="tip" />
    <sch:param name="excluded" value="warning" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="warning" />
    <sch:param name="excluded" value="caution" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="warning" />
    <sch:param name="excluded" value="important" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="warning" />
    <sch:param name="excluded" value="note" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="warning" />
    <sch:param name="excluded" value="tip" />
  </sch:pattern>

  <sch:pattern is-a="element_exclusion">
    <sch:param name="container" value="warning" />
    <sch:param name="excluded" value="warning" />
  </sch:pattern>

  <sch:pattern abstract="true" id="typed_pointer">
    <sch:rule context="$pointerElement[@$pointerAttribute]">
      <sch:assert test="local-name(//*[@id=current()/@$pointerAttribute]) = 
                        '$pointedTo'">
        @$pointerAttribute on $pointerElement must point to a $pointedTo.
      </sch:assert>
    </sch:rule>
  </sch:pattern>

  <sch:pattern is-a="typed_pointer">
    <sch:param name="pointerElement" value="glossseealso" />
    <sch:param name="pointerAttribute" value="otherterm" />
    <sch:param name="pointedTo" value="glossentry" />
  </sch:pattern>

  <sch:pattern is-a="typed_pointer">
    <sch:param name="pointerElement" value="glosssee" />
    <sch:param name="pointerAttribute" value="otherterm" />
    <sch:param name="pointedTo" value="glossentry" />
  </sch:pattern>

  <sch:pattern is-a="typed_pointer">
    <sch:param name="pointerElement" value="firstterm" />
    <sch:param name="pointerAttribute" value="linkend" />
    <sch:param name="pointedTo" value="glossentry" />
  </sch:pattern>

  <sch:pattern is-a="typed_pointer">
    <sch:param name="pointerElement" value="glossterm" />
    <sch:param name="pointerAttribute" value="linkend" />
    <sch:param name="pointedTo" value="glossentry" />
  </sch:pattern>

  <sch:pattern is-a="typed_pointer">
    <sch:param name="pointerElement" value="footnoteref" />
    <sch:param name="pointerAttribute" value="linkend" />
    <sch:param name="pointedTo" value="footnote" />
  </sch:pattern>

  <sch:pattern is-a="typed_pointer">
    <sch:param name="pointerElement" value="synopfragmentref" />
    <sch:param name="pointerAttribute" value="linkend" />
    <sch:param name="pointedTo" value="synopfragment" />
  </sch:pattern>

</sch:schema>
